repos:
  - repo: https://github.com/johnnymorganz/stylua
    rev: v0.20.0
    hooks:
      - id: stylua-github
        fail_fast: true
        verbose: true
        types: [lua]
  - repo: local
    hooks:
      - id: luacheck
        name: Luacheck
        description: Lints Lua files using Luacheck.
        entry: luacheck --
        language: system
        fail_fast: true
        verbose: true
        types: [lua]
  - repo: local
    hooks:
      - id: colors
        name: colors
        description: Ensures Light Color Scheme version has been generated.
        entry: make colors
        language: system
        require_serial: true
        pass_filenames: false
        verbose: true

